#
# spec file for package rubygem-activesupport-2_3
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           rubygem-activesupport-2_3
Version:        2.3.14
Release:        0.12.1
%define mod_name activesupport
%define mod_full_name %{mod_name}-%{version}
#
Group:          Development/Languages/Ruby
License:        MIT
#
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  rubygems_with_buildroot_patch
%rubygems_requires
Provides:       rubygem-%{mod_name} = %{version}-%{release}
#
Url:            http://rubyforge.org/projects/activesupport/
Source:         %{mod_full_name}.gem
Source99:       series
Patch0:         3-0-escape_html-activesupport.patch
#
Summary:        Support and utility classes used by the Rails framework

%description
Utility library which carries commonly used classes and goodies from the Rails framework

%package doc
Summary:        RDoc documentation for %{mod_name}
Group:          Development/Languages/Ruby
License:        MIT
Requires:       %{name} = %{version}

%description doc
Documentation generated at gem installation time.
Usually in RDoc and RI formats.

%prep

%build

%install
%gem_install %{S:0}
pushd %{buildroot}%{_libdir}/ruby/gems/%{rb_ver}/gems/%{mod_full_name}/
  patch -p0 < %{P:0}
popd

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_libdir}/ruby/gems/%{rb_ver}/cache/%{mod_full_name}.gem
%{_libdir}/ruby/gems/%{rb_ver}/gems/%{mod_full_name}/
%{_libdir}/ruby/gems/%{rb_ver}/specifications/%{mod_full_name}.gemspec

%files doc
%defattr(-,root,root,-)
%doc %{_libdir}/ruby/gems/%{rb_ver}/doc/%{mod_full_name}/

%changelog
* Fri Sep  7 2012 mrueckert@suse.de
- added 3-0-escape_html-activesupport.patch: (bnc#775653)
  Also encode single quote (CVE-2012-3464)
* Wed Aug 17 2011 mrueckert@suse.de
- update to version 2.3.14
  - fixing utf8 escape vulerability (bnc#712060)
  - Fix OrderedHash merging with block given.
* Mon Jun 20 2011 mrueckert@suse.de
- update to version 2.3.12
  * Version bump
* Wed Feb 16 2011 mrueckert@suse.de
- update to version 2.3.11: (bnc#668817)
  - XSS Risk in mail_to :encode=>:javascript CVE-2011-0446
  - CSRF Bypass Risk CVE-2011-0447
  - Filter Problems on Case Insensitive Filesystems CVE-2011-0449
  - Potential SQL Injection with limit() CVE-2011-0448
* Mon Jan 17 2011 mvidner@suse.cz
- Split off doc subpackage.
* Wed Oct 27 2010 mrueckert@suse.de
- update to version 2.3.10
  * i18n: bundle i18n 0.4.1 for forward compatibility with Rails 3.
    Deprecates {{foo}} interpolation syntax in favor of 1.9-native
    %%{foo}.
  * Deprecate Kernel#returning in favor of Object#tap since it's
    included in Ruby 1.8.7 and later. [Santiago Pastorino]
  * Deprecates ActiveSupport::Dependencies.load_(once_)paths,
    renamed to autoload_(once_)paths. [fxn]
  * Deprecates Array#random_element, renamed to sample to match
    Ruby 1.9, thanks to Marc-Andre Lafortune. [fxn]
* Sun Sep  5 2010 mrueckert@suse.de
- update to version 2.3.9
  * i18n: bundle i18n 0.4.1 for forward compatibility with Rails 3.
    Deprecates {{foo}} interpolation syntax in favor of 1.9-native
    %%{foo}.
  * Deprecate Kernel#returning in favor of Object#tap since it's
    included in Ruby 1.8.7 and later. [Santiago Pastorino]
  * Deprecates ActiveSupport::Dependencies.load_(once_)paths,
    renamed to autoload_(once_)paths. [fxn]
  * Deprecates Array#random_element, renamed to sample to match
    Ruby 1.9, thanks to Marc-Andre Lafortune. [fxn]
* Tue May 25 2010 mrueckert@suse.de
- use rubygems_requires macro
* Tue May 25 2010 mrueckert@suse.de
- update to version 2.3.8
  * Version bump.
- additional changes from version 2.3.7
  * HTML safety: fix compatibility with the optional rails_xss
    plugin. [Nathan Weizenbaum, Santiago Pastorino]
- additional changes from version 2.3.6
  * 1.9 compat: deprecated last_(month|year) in favor of
    prev_(month|year). [fxn]
  * Deprecated Array#rand in favor of Array#random_element.
    [Santiago Pastorino, Rizwan Reza]
  * Added Object#presence that returns the object if it's #present?
    otherwise returns nil [DHH/Colin Kelley]
  * New assertions assert_blank and assert_present.
    [#4299] [Juanjo Bazan]
  * Use Object#singleton_class instead of #metaclass. Prefer Ruby's
    choice.  [Jeremy Kemper]
  * JSON backend for YAJL. Preferred if available.
    [#2666] [Brian Lopez]
  * Introduce String#html_safe for rails_xss plugin and
    forward-compatibility with Rails 3.  [Michael Koziarski,
    Santiago Pastorino, José Ignacio Costa]
  * Time#- with a DateTime argument behaves the same as with a Time
    argument, i.e. returns the difference between self and arg as a
    Float #3476 [Geoff Buesing]
  * YAML serialization for OrderedHash.  #3608 [Gregor Schmidt]
  * Add Enumerable#exclude? to bring parity to Enumerable#include?
    and avoid if !x.include?/else calls [DHH]
* Tue Dec  1 2009 chris@computersalat.de
- update to version 2.3.5
  * Minor Bug Fixes and deprecation warnings
  * Fixes for the Nokogiri backend for XmlMini
  * Ruby 1.9 Compatibility
* Thu Sep 10 2009 adrian@suse.de
- update to version 2.3.4
  * Introduce ActiveSupport::Multibyte.clean to clean invalid
    multibyte strings.
  * Bug fixes
* Mon Mar 16 2009 mrueckert@suse.de
- starting package for the rails 2.3 series
